Bug 235956 - devel/boost-all: Update to 1.70.0
Summary: devel/boost-all: Update to 1.70.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-office mailing list
URL: http://www.boost.org/users/history/ve...
Keywords: needs-qa, patch
: 235691 (view as bug list)
Depends on: 236599 236603 237016 237017 232525 236586 236587 236588 236589 236594 236595 236597 236600 236601 236604 236666 236668 236669 237019
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-23 08:20 UTC by Jan Beich
Modified: 2019-04-18 01:26 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (office)
jbeich: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2019-02-23 08:20:32 UTC
See review D19303 for the patch. Each update breaks ABI, sometimes API as well.
Comment 1 Jan Beich freebsd_committer 2019-03-17 06:08:28 UTC
How many consumers can we mark BROKEN in order to land this early and get exposure? About no more than 10% (i.e., 40 ports) but that'd require notifying each maintainer in advance. The timing would be very important i.e., the expected bustage shouldn't be near a /quarterly cutoff. Obviously, each bustage is supposed to be analyzed to *not* indicate a bug within Boost itself.

IOW, Boost updates are sometimes painful but bringing another/old version is outside of scope for office@. Waiting for a better time is also a not good proposition given the next Boost update will bring another set of bustage and so on until we're several years behind like what happened in bug 199601.
Comment 2 Jan Beich freebsd_committer 2019-04-04 13:46:20 UTC
Can you test all ports?

### /usr/local/etc/poudriere.d/PR235956-make.conf ###
OPTIONS_SET                     += BOOST
audio_pms_SET                   += REGEX
databases_mariadb100-server_SET += OQGRAPH
databases_mariadb101-server_SET += OQGRAPH
databases_mariadb102-server_SET += OQGRAPH
databases_mariadb103-server_SET += OQGRAPH
devel_blitz_SET                 += SERIALIZATION
graphics_vigra_SET              += NUMPY
misc_visp_SET                   += OGRE
science_tfel_SET                += PYTHON
textproc_kiss-templates_SET     += TEST
www_nghttp2_SET                 += ASIO
Comment 3 Antoine Brodin freebsd_committer 2019-04-10 07:16:13 UTC
New failures on 11.2 amd64:

+ {"origin"=>"comms/gnuradio", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"databases/foundationdb", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/RStudio", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/luxrender14", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/mapnik", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-p2p/libtorrent-rasterbar", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/monero-cli", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/zetacoin", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net-p2p/zetacoin-nox11", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"www/nghttp2", "phase"=>"build", "errortype"=>"clang"}

Failure logs:

http://package22.nyi.freebsd.org/data/112amd64-default-PR235956/2019-04-09_07h29m40s/logs/errors/gnuradio-3.8.g20190309.log
http://package22.nyi.freebsd.org/data/112amd64-default-PR235956/2019-04-09_07h29m40s/logs/errors/foundationdb-6.0.18.log
http://package22.nyi.freebsd.org/data/112amd64-default-PR235956/2019-04-09_07h29m40s/logs/errors/RStudio-1.2.1335.log
http://package22.nyi.freebsd.org/data/112amd64-default-PR235956/2019-04-09_07h29m40s/logs/errors/luxrender14-1.4_13.log
http://package22.nyi.freebsd.org/data/112amd64-default-PR235956/2019-04-09_07h29m40s/logs/errors/mapnik-3.0.9_25.log
http://package22.nyi.freebsd.org/data/112amd64-default-PR235956/2019-04-09_07h29m40s/logs/errors/libtorrent-rasterbar-1.1.10_2.log
http://package22.nyi.freebsd.org/data/112amd64-default-PR235956/2019-04-09_07h29m40s/logs/errors/monero-cli-0.14.0.2.log
http://package22.nyi.freebsd.org/data/112amd64-default-PR235956/2019-04-09_07h29m40s/logs/errors/zetacoin-0.11.2.3_26.log
http://package22.nyi.freebsd.org/data/112amd64-default-PR235956/2019-04-09_07h29m40s/logs/errors/zetacoin-nox11-0.11.2.3_26.log
http://package22.nyi.freebsd.org/data/112amd64-default-PR235956/2019-04-09_07h29m40s/logs/errors/nghttp2-1.37.0.log
Comment 4 Antoine Brodin freebsd_committer 2019-04-10 07:17:49 UTC
Same new failures on 11.2 i386
Comment 5 Antoine Brodin freebsd_committer 2019-04-11 07:15:20 UTC
Same new failures on 12.0
Comment 6 commit-hook freebsd_committer 2019-04-12 06:37:12 UTC
A commit references this bug:

Author: jbeich
Date: Fri Apr 12 06:36:50 UTC 2019
New revision: 498698
URL: https://svnweb.freebsd.org/changeset/ports/498698

Log:
  devel/boost-*: update to 1.70.0

  Changes:	http://www.boost.org/users/history/version_1_70_0.html
  PR:		235956
  Exp-run by:	antoine
  Differential Revision:	https://reviews.freebsd.org/D19303

Changes:
  head/archivers/innoextract/Makefile
  head/archivers/tardy/Makefile
  head/astro/libkgeomap/Makefile
  head/astro/libosmium/Makefile
  head/audio/ardour/Makefile
  head/audio/ardour5/Makefile
  head/audio/clementine-player/Makefile
  head/audio/cpp-xmms2/Makefile
  head/audio/csound/Makefile
  head/audio/faust-lv2/Makefile
  head/audio/guitarix-lv2/Makefile
  head/audio/mp3plot/Makefile
  head/audio/mumble/Makefile
  head/audio/murmur/Makefile
  head/audio/musicpd/Makefile
  head/audio/ncmpc/Makefile
  head/audio/ncmpcpp/Makefile
  head/audio/patchage/Makefile
  head/audio/pms/Makefile
  head/audio/pulseeffects/Makefile
  head/audio/py-tagpy/Makefile
  head/audio/raul/Makefile
  head/audio/sc3-plugins/Makefile
  head/audio/sorcer-lv2/Makefile
  head/audio/supercollider/Makefile
  head/biology/abyss/Makefile
  head/biology/canu/Makefile
  head/biology/dsr-pdb/Makefile
  head/biology/pbbam/Makefile
  head/biology/pbcopper/Makefile
  head/biology/seqan-apps/Makefile
  head/biology/unanimity/Makefile
  head/cad/freecad/Makefile
  head/cad/fritzing/Makefile
  head/cad/kicad/Makefile
  head/cad/kicad-devel/Makefile
  head/cad/librecad/Makefile
  head/cad/linuxcnc-devel/Makefile
  head/cad/openscad/Makefile
  head/cad/openscad-devel/Makefile
  head/chinese/librime/Makefile
  head/comms/fldigi/Makefile
  head/comms/gnuradio/Makefile
  head/comms/gqrx/Makefile
  head/comms/gr-osmosdr/Makefile
  head/comms/soapyuhd/Makefile
  head/comms/uhd/Makefile
  head/converters/osm2pgrouting/Makefile
  head/converters/osm2pgsql/Makefile
  head/databases/akonadi/Makefile
  head/databases/clickhouse/Makefile
  head/databases/foundationdb/Makefile
  head/databases/galera/Makefile
  head/databases/grass7/Makefile
  head/databases/hamsterdb/Makefile
  head/databases/mariadb101-server/Makefile
  head/databases/mariadb102-server/Makefile
  head/databases/mariadb103-server/Makefile
  head/databases/mariadb55-server/Makefile
  head/databases/mongodb34/Makefile
  head/databases/mongodb36/Makefile
  head/databases/mongodb40/Makefile
  head/databases/mysql-connector-c++/Makefile
  head/databases/pgrouting/Makefile
  head/databases/sfcgal/Makefile
  head/databases/soci/Makefile
  head/databases/speedtables/Makefile
  head/databases/vsqlite/Makefile
  head/deskutils/easystroke/Makefile
  head/deskutils/kdepim-runtime/Makefile
  head/deskutils/libkdepim/Makefile
  head/deskutils/pinot/Makefile
  head/devel/RStudio/Makefile
  head/devel/avro-cpp/Makefile
  head/devel/blitz/Makefile
  head/devel/boost-all/common.mk
  head/devel/boost-docs/distinfo
  head/devel/boost-docs/pkg-plist
  head/devel/boost-jam/distinfo
  head/devel/boost-libs/Makefile
  head/devel/boost-libs/distinfo
  head/devel/boost-libs/files/patch-boost_stacktrace_detail_collect__unwind.ipp
  head/devel/boost-libs/pkg-plist
  head/devel/boost-python-libs/distinfo
  head/devel/boost_build/Makefile
  head/devel/cmake/Makefile
  head/devel/cmake/files/patch-Modules_FindBoost.cmake
  head/devel/codeblocks/Makefile
  head/devel/codeblocks-devel/Makefile
  head/devel/cpp-hocon/Makefile
  head/devel/cpp-netlib/Makefile
  head/devel/cpprestsdk/Makefile
  head/devel/eblob/Makefile
  head/devel/gearmand/Makefile
  head/devel/gearmand-devel/Makefile
  head/devel/hpx/Makefile
  head/devel/ikos/Makefile
  head/devel/ikos/files/patch-cmake_FindBoost.cmake
  head/devel/kdevelop/Makefile
  head/devel/leatherman/Makefile
  head/devel/libarea/Makefile
  head/devel/libcutl/Makefile
  head/devel/libflatarray/Makefile
  head/devel/libftdi/Makefile
  head/devel/libftdi1/Makefile
  head/devel/libiqxmlrpc/Makefile
  head/devel/liblas/Makefile
  head/devel/libopkele/Makefile
  head/devel/liborcus/Makefile
  head/devel/log4cxx/Makefile
  head/devel/love07/Makefile
  head/devel/love08/Makefile
  head/devel/love5/Makefile
  head/devel/luabind/Makefile
  head/devel/mongo-cxx-driver/Makefile
  head/devel/monotone/Makefile
  head/devel/msp430-debug-stack/Makefile
  head/devel/py-pyopencl/Makefile
  head/devel/sdts++/Makefile
  head/devel/simgear/Makefile
  head/devel/smack/Makefile
  head/devel/srecord/Makefile
  head/devel/synfig/Makefile
  head/devel/thrift-cpp/Makefile
  head/devel/ticcutils/Makefile
  head/devel/uatraits/Makefile
  head/devel/umbrello/Makefile
  head/devel/vera++/Makefile
  head/devel/vexcl/Makefile
  head/devel/xmltooling/Makefile
  head/devel/youcompleteme/Makefile
  head/dns/dnsdist/Makefile
  head/dns/powerdns/Makefile
  head/dns/powerdns-recursor/Makefile
  head/editors/abiword/Makefile
  head/editors/calligra/Makefile
  head/editors/jucipp/Makefile
  head/editors/libreoffice/Makefile
  head/editors/madedit/Makefile
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-devel/Makefile
  head/editors/pdfedit/Makefile
  head/editors/poedit/Makefile
  head/editors/xmlcopyeditor/Makefile
  head/emulators/citra/Makefile
  head/emulators/citra-qt5/Makefile
  head/emulators/emulationstation/Makefile
  head/emulators/mupen64plus-video-glide64mk2/Makefile
  head/finance/gnucash/Makefile
  head/finance/ledger/Makefile
  head/finance/moneymanagerex/Makefile
  head/finance/quantlib/Makefile
  head/games/0ad/Makefile
  head/games/alephone/Makefile
  head/games/allacrost/Makefile
  head/games/arx-libertatis/Makefile
  head/games/asc/Makefile
  head/games/bastet/Makefile
  head/games/blobby/Makefile
  head/games/burrtools/Makefile
  head/games/colobot/Makefile
  head/games/easyrpg-player/Makefile
  head/games/fishsupper/Makefile
  head/games/flightgear/Makefile
  head/games/flightgear-terragear/Makefile
  head/games/flyhard/Makefile
  head/games/freeorion/Makefile
  head/games/frogatto/Makefile
  head/games/galaxyhack/Makefile
  head/games/glob2/Makefile
  head/games/jaggedalliance2/Makefile
  head/games/lander/Makefile
  head/games/mkhexgrid/Makefile
  head/games/opendungeons/Makefile
  head/games/openmw/Makefile
  head/games/openyahtzee/Makefile
  head/games/pingus/Makefile
  head/games/py-fife/Makefile
  head/games/rlvm/Makefile
  head/games/scummvm-tools/Makefile
  head/games/spring/Makefile
  head/games/springlobby/Makefile
  head/games/stuntrally/Makefile
  head/games/supertux2/Makefile
  head/games/traingame/Makefile
  head/games/valyriatear/Makefile
  head/games/vamos/Makefile
  head/games/vegastrike/Makefile
  head/games/violetland/Makefile
  head/games/wesnoth/Makefile
  head/games/widelands/Makefile
  head/games/wyrmgus/Makefile
  head/graphics/agave/Makefile
  head/graphics/appleseed/Makefile
  head/graphics/blender/Makefile
  head/graphics/caffe/Makefile
  head/graphics/cegui/Makefile
  head/graphics/cloudcompare/Makefile
  head/graphics/colmap/Makefile
  head/graphics/digikam/Makefile
  head/graphics/dspdfviewer/Makefile
  head/graphics/electricsheep/Makefile
  head/graphics/enblend/Makefile
  head/graphics/evolvotron/Makefile
  head/graphics/fracplanet/Makefile
  head/graphics/gnash/Makefile
  head/graphics/gource/Makefile
  head/graphics/gsculpt/Makefile
  head/graphics/hugin/Makefile
  head/graphics/inkscape/Makefile
  head/graphics/krita/Makefile
  head/graphics/libcdr01/Makefile
  head/graphics/libetonyek01/Makefile
  head/graphics/libfreehand/Makefile
  head/graphics/libgltf/Makefile
  head/graphics/libopenraw/Makefile
  head/graphics/libzmf/Makefile
  head/graphics/luminance-qt5/Makefile
  head/graphics/luxrender/Makefile
  head/graphics/luxrender14/Makefile
  head/graphics/mapnik/Makefile
  head/graphics/ogre3d/Makefile
  head/graphics/openimageio/Makefile
  head/graphics/openshadinglanguage/Makefile
  head/graphics/panomatic/Makefile
  head/graphics/pcl-pointclouds/Makefile
  head/graphics/povray37/Makefile
  head/graphics/vigra/Makefile
  head/graphics/yafaray/Makefile
  head/irc/ezbounce/Makefile
  head/irc/znc/Makefile
  head/lang/sdcc/Makefile
  head/lang/solidity/Makefile
  head/math/adol-c/Makefile
  head/math/armadillo/Makefile
  head/math/aspcud/Makefile
  head/math/blaze/Makefile
  head/math/blazeiterative/Makefile
  head/math/cadabra2/Makefile
  head/math/cgal/Makefile
  head/math/clblas/Makefile
  head/math/cocoalib/Makefile
  head/math/cryptominisat/Makefile
  head/math/cvc4/Makefile
  head/math/deal.ii/Makefile
  head/math/dynare/Makefile
  head/math/fityk/Makefile
  head/math/kig/Makefile
  head/math/libmesh/Makefile
  head/math/libnormaliz/Makefile
  head/math/lrslib/Makefile
  head/math/mlpack/Makefile
  head/math/mosesdecoder/Makefile
  head/math/pdal/Makefile
  head/math/piranha/Makefile
  head/math/py-piranha/Makefile
  head/math/py-pyodeint/Makefile
  head/math/rocs/Makefile
  head/math/stp/Makefile
  head/math/vowpal_wabbit/Makefile
  head/math/zegrapher/Makefile
  head/misc/actiona/Makefile
  head/misc/artikulate/Makefile
  head/misc/dartsim/Makefile
  head/misc/ompl/Makefile
  head/misc/visp/Makefile
  head/multimedia/aegisub/Makefile
  head/multimedia/cclive/Makefile
  head/multimedia/din/Makefile
  head/multimedia/flvtool++/Makefile
  head/multimedia/gstreamer1-qt/Makefile
  head/multimedia/mkvtoolnix/Makefile
  head/multimedia/musikcube/Makefile
  head/multimedia/oggvideotools/Makefile
  head/multimedia/omxplayer/Makefile
  head/multimedia/vdr-plugin-upnp/Makefile
  head/net/asio/Makefile
  head/net/calendarsupport/Makefile
  head/net/ceph12/Makefile
  head/net/ceph13/Makefile
  head/net/eventviews/Makefile
  head/net/grive2/Makefile
  head/net/incidenceeditor/Makefile
  head/net/kea/Makefile
  head/net/kimap/Makefile
  head/net/kmime/Makefile
  head/net/libcmis/Makefile
  head/net/libksieve/Makefile
  head/net/mailcommon/Makefile
  head/net/mailimporter/Makefile
  head/net/messagelib/Makefile
  head/net/pimcommon/Makefile
  head/net/pktanon/Makefile
  head/net/tcpflow/Makefile
  head/net/xorp/Makefile
  head/net-im/ekiga/Makefile
  head/net-im/ktp-call-ui/Makefile
  head/net-im/licq/Makefile
  head/net-im/licq-icq/Makefile
  head/net-im/licq-jabber/Makefile
  head/net-im/licq-osd/Makefile
  head/net-im/licq-qt-gui/Makefile
  head/net-im/mtxclient/Makefile
  head/net-mgmt/fastnetmon/Makefile
  head/net-mgmt/icinga2/Makefile
  head/net-mgmt/metronome/Makefile
  head/net-mgmt/openbmp/Makefile
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/bitcoin-daemon/Makefile
  head/net-p2p/eiskaltdcpp-daemon/Makefile
  head/net-p2p/eiskaltdcpp-gtk/Makefile
  head/net-p2p/eiskaltdcpp-lib/Makefile
  head/net-p2p/libktorrent/Makefile
  head/net-p2p/libtorrent-rasterbar/Makefile
  head/net-p2p/linuxdcpp/Makefile
  head/net-p2p/litecoin/Makefile
  head/net-p2p/monero-cli/Makefile
  head/net-p2p/namecoin/Makefile
  head/net-p2p/py-libtorrent-rasterbar/Makefile
  head/net-p2p/qbittorrent/Makefile
  head/net-p2p/qtum/Makefile
  head/net-p2p/zetacoin/Makefile
  head/print/libmspub01/Makefile
  head/print/libpagemaker/Makefile
  head/print/lyx/Makefile
  head/print/pdfcube/Makefile
  head/print/scribus-devel/Makefile
  head/science/ALPSCore/Makefile
  head/science/bagel/Makefile
  head/science/bddsolve/Makefile
  head/science/coordgenlibs/Makefile
  head/science/esys-particle/Makefile
  head/science/gromacs/Makefile
  head/science/iboview/Makefile
  head/science/libgeodecomp/Makefile
  head/science/libint2/Makefile
  head/science/libkml/Makefile
  head/science/maeparser/Makefile
  head/science/pulseview/Makefile
  head/science/py-dlib/Makefile
  head/science/qmcpack/Makefile
  head/science/rdkit/Makefile
  head/science/rmf/Makefile
  head/science/tfel/Makefile
  head/security/botan2/Makefile
  head/security/clamfs/Makefile
  head/security/i2pd/Makefile
  head/security/kleopatra/Makefile
  head/security/opensaml/Makefile
  head/security/quantis/Makefile
  head/security/shibboleth-sp/Makefile
  head/security/spass/Makefile
  head/sysutils/bulk_extractor/Makefile
  head/sysutils/condor/Makefile
  head/sysutils/facter/Makefile
  head/sysutils/freefilesync/Makefile
  head/sysutils/glogg/Makefile
  head/sysutils/kf5-kwallet/Makefile
  head/sysutils/lizardfs/Makefile
  head/sysutils/logstalgia/Makefile
  head/sysutils/ori/Makefile
  head/sysutils/osquery/Makefile
  head/sysutils/twmn/Makefile
  head/sysutils/usbtop/Makefile
  head/textproc/clucene/Makefile
  head/textproc/highlight/Makefile
  head/textproc/kenlm/Makefile
  head/textproc/kiss-templates/Makefile
  head/textproc/libabw/Makefile
  head/textproc/libe-book/Makefile
  head/textproc/libepubgen/Makefile
  head/textproc/libkolabxml/Makefile
  head/textproc/libqxp/Makefile
  head/textproc/librevenge/Makefile
  head/textproc/libstaroffice/Makefile
  head/textproc/libvisio01/Makefile
  head/textproc/libwpd010/Makefile
  head/textproc/libwps03/Makefile
  head/textproc/luceneplusplus/Makefile
  head/textproc/nuspell/Makefile
  head/textproc/randlm/Makefile
  head/textproc/source-highlight/Makefile
  head/textproc/xmlwrapp/Makefile
  head/www/anyterm/Makefile
  head/www/domoticz/Makefile
  head/www/nghttp2/Makefile
  head/www/osrm-backend/Makefile
  head/www/wt/Makefile
  head/x11/kf5-kactivities/Makefile
  head/x11/kf5-kactivities-stats/Makefile
  head/x11/plasma5-plasma-desktop/Makefile
  head/x11-toolkits/flowcanvas/Makefile
Comment 7 Matthias Andree freebsd_committer 2019-04-13 09:20:36 UTC
Boost-Libs is now broken:

/usr/ports.svn/devel/boost-libs]$ make check-plist
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: lib/libboost_atomic.so.1
Error: Orphaned: lib/libboost_atomic.so.1.70
Error: Orphaned: lib/libboost_chrono.so.1
Error: Orphaned: lib/libboost_chrono.so.1.70
Error: Orphaned: lib/libboost_container.so.1
Error: Orphaned: lib/libboost_container.so.1.70
Error: Orphaned: lib/libboost_context.so.1
Error: Orphaned: lib/libboost_context.so.1.70
Error: Orphaned: lib/libboost_contract.so.1
Error: Orphaned: lib/libboost_contract.so.1.70
Error: Orphaned: lib/libboost_coroutine.so.1
Error: Orphaned: lib/libboost_coroutine.so.1.70
Error: Orphaned: lib/libboost_date_time.so.1
Error: Orphaned: lib/libboost_date_time.so.1.70
Error: Orphaned: lib/libboost_fiber.so.1
Error: Orphaned: lib/libboost_fiber.so.1.70
Error: Orphaned: lib/libboost_filesystem.so.1
Error: Orphaned: lib/libboost_filesystem.so.1.70
Error: Orphaned: lib/libboost_graph.so.1
Error: Orphaned: lib/libboost_graph.so.1.70
Error: Orphaned: lib/libboost_iostreams.so.1
Error: Orphaned: lib/libboost_iostreams.so.1.70
Error: Orphaned: lib/libboost_locale.so.1
Error: Orphaned: lib/libboost_locale.so.1.70
Error: Orphaned: lib/libboost_log.so.1
Error: Orphaned: lib/libboost_log.so.1.70
Error: Orphaned: lib/libboost_log_setup.so.1
Error: Orphaned: lib/libboost_log_setup.so.1.70
Error: Orphaned: lib/libboost_math_c99.so.1
Error: Orphaned: lib/libboost_math_c99.so.1.70
Error: Orphaned: lib/libboost_math_c99f.so.1
Error: Orphaned: lib/libboost_math_c99f.so.1.70
Error: Orphaned: lib/libboost_math_c99l.so.1
Error: Orphaned: lib/libboost_math_c99l.so.1.70
Error: Orphaned: lib/libboost_math_tr1.so.1
Error: Orphaned: lib/libboost_math_tr1.so.1.70
Error: Orphaned: lib/libboost_math_tr1f.so.1
Error: Orphaned: lib/libboost_math_tr1f.so.1.70
Error: Orphaned: lib/libboost_math_tr1l.so.1
Error: Orphaned: lib/libboost_math_tr1l.so.1.70
Error: Orphaned: lib/libboost_prg_exec_monitor.so.1
Error: Orphaned: lib/libboost_prg_exec_monitor.so.1.70
Error: Orphaned: lib/libboost_program_options.so.1
Error: Orphaned: lib/libboost_program_options.so.1.70
Error: Orphaned: lib/libboost_random.so.1
Error: Orphaned: lib/libboost_random.so.1.70
Error: Orphaned: lib/libboost_regex.so.1
Error: Orphaned: lib/libboost_regex.so.1.70
Error: Orphaned: lib/libboost_serialization.so.1
Error: Orphaned: lib/libboost_serialization.so.1.70
Error: Orphaned: lib/libboost_stacktrace_addr2line.so.1
Error: Orphaned: lib/libboost_stacktrace_addr2line.so.1.70
Error: Orphaned: lib/libboost_stacktrace_basic.so.1
Error: Orphaned: lib/libboost_stacktrace_basic.so.1.70
Error: Orphaned: lib/libboost_stacktrace_noop.so.1
Error: Orphaned: lib/libboost_stacktrace_noop.so.1.70
Error: Orphaned: lib/libboost_system.so.1
Error: Orphaned: lib/libboost_system.so.1.70
Error: Orphaned: lib/libboost_thread.so.1
Error: Orphaned: lib/libboost_thread.so.1.70
Error: Orphaned: lib/libboost_timer.so.1
Error: Orphaned: lib/libboost_timer.so.1.70
Error: Orphaned: lib/libboost_type_erasure.so.1
Error: Orphaned: lib/libboost_type_erasure.so.1.70
Error: Orphaned: lib/libboost_unit_test_framework.so.1
Error: Orphaned: lib/libboost_unit_test_framework.so.1.70
Error: Orphaned: lib/libboost_wave.so.1
Error: Orphaned: lib/libboost_wave.so.1.70
Error: Orphaned: lib/libboost_wserialization.so.1
Error: Orphaned: lib/libboost_wserialization.so.1.70
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1
Comment 8 Matthias Andree freebsd_committer 2019-04-13 09:23:08 UTC
poudriere log at http://people.freebsd.org/~mandree/boost-libs-1.70.0.log.xz
Comment 9 Jan Beich freebsd_committer 2019-04-13 10:57:58 UTC
(In reply to Matthias Andree from comment #7)
> Boost-Libs is now broken:

Not broken but fails check-plist i.e., testport or bulk -t but not regular builds. The files are redundant because SONAME already includes .so.MAJOR.MINOR.PATCH and ld(1) only needs .so symlink. I haven't tracked down upstream change or figured out how to avoid embedding version in pkg-plist without many false positives in major part of the version. And from ABI point of view each Boost version is major.
Comment 10 Matthias Andree freebsd_committer 2019-04-13 11:23:57 UTC
If it doesn't pass make check-plist or poudriere testport or poudriere bulk -t, it's broken and should be fixed. Please do.
Comment 11 Matthias Andree freebsd_committer 2019-04-13 11:29:25 UTC
(and you can add @comment lines or post-install: ${RM} commands if we really do not need this stuff)
Comment 12 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-04-13 23:56:34 UTC
(In reply to Matthias Andree from comment #10)

FYI, I've committed the PLIST fix.
Comment 13 commit-hook freebsd_committer 2019-04-18 01:16:55 UTC
A commit references this bug:

Author: jbeich
Date: Thu Apr 18 01:16:13 UTC 2019
New revision: 499229
URL: https://svnweb.freebsd.org/changeset/ports/499229

Log:
  devel/boost-python-libs: drop C++17 workaround after r498698

  PR:		235956

Changes:
  head/devel/boost-python-libs/Makefile
Comment 14 Jan Beich freebsd_committer 2019-04-18 01:26:10 UTC
*** Bug 235691 has been marked as a duplicate of this bug. ***